Loading...
Searching...
No Matches
libparse.h File Reference

Go to the source code of this file.

## Macros

#define | YYLP_ERR_NONE 0
#define | YYLP_DEF_BR2 1
#define | YYLP_BODY_BR2 2
#define | YYLP_BODY_BR3 3
#define | YYLP_BODY_TMBR2 4
#define | YYLP_BODY_TMBR3 5
#define | YYLP_EX_BR2 6
#define | YYLP_EX_BR3 7
#define | YYLP_BAD_CHAR 8
#define | YYLP_MISSQUOT 9
#define | YYLP_MISS_BR1 10
#define | YYLP_MISS_BR2 11
#define | YYLP_MISS_BR3 12

## Enumerations

enum | lib_style_types { OLD_LIBSTYLE , NEW_LIBSTYLE }
enum | lp_modes { LOAD_LIB , GET_INFO }

## Functions

procinfo * | iiInitSingularProcinfo (procinfo *pi, const char *libname, const char *procname, int line, long pos, BOOLEAN pstatic=FALSE)
int | yylplex (const char *libname, const char *libfile, lib_style_types *lib_style, idhdl pl, BOOLEAN autoexport=FALSE, lp_modes=LOAD_LIB)
void | reinit_yylp ()

## Variables

EXTERN_VAR char * | text_buffer

## Macro Definition Documentation

## YYLP_BAD_CHAR

#define YYLP_BAD_CHAR 8

Definition at line 93 of file libparse.h.

## YYLP_BODY_BR2

#define YYLP_BODY_BR2 2

Definition at line 87 of file libparse.h.

## YYLP_BODY_BR3

#define YYLP_BODY_BR3 3

Definition at line 88 of file libparse.h.

## YYLP_BODY_TMBR2

#define YYLP_BODY_TMBR2 4

Definition at line 89 of file libparse.h.

## YYLP_BODY_TMBR3

#define YYLP_BODY_TMBR3 5

Definition at line 90 of file libparse.h.

## YYLP_DEF_BR2

#define YYLP_DEF_BR2 1

Definition at line 86 of file libparse.h.

## YYLP_ERR_NONE

#define YYLP_ERR_NONE 0

Definition at line 85 of file libparse.h.

## YYLP_EX_BR2

#define YYLP_EX_BR2 6

Definition at line 91 of file libparse.h.

## YYLP_EX_BR3

#define YYLP_EX_BR3 7

Definition at line 92 of file libparse.h.

## YYLP_MISS_BR1

#define YYLP_MISS_BR1 10

Definition at line 95 of file libparse.h.

## YYLP_MISS_BR2

#define YYLP_MISS_BR2 11

Definition at line 96 of file libparse.h.

## YYLP_MISS_BR3

#define YYLP_MISS_BR3 12

Definition at line 97 of file libparse.h.

## YYLP_MISSQUOT

#define YYLP_MISSQUOT 9

Definition at line 94 of file libparse.h.

## Enumeration Type Documentation

## lib_style_types

enum lib_style_types

Enumerator
OLD_LIBSTYLE |
NEW_LIBSTYLE |

Definition at line 9 of file libparse.h.

{ OLD_LIBSTYLE, NEW_LIBSTYLE } lib_style_types;
lib_style_types
lib_style_types
Definition libparse.h:9
OLD_LIBSTYLE
@ OLD_LIBSTYLE
Definition libparse.h:9
NEW_LIBSTYLE
@ NEW_LIBSTYLE
Definition libparse.h:9

## lp_modes

enum lp_modes

Enumerator
LOAD_LIB |
GET_INFO |

Definition at line 10 of file libparse.h.

{ LOAD_LIB, GET_INFO } lp_modes;
lp_modes
lp_modes
Definition libparse.h:10
LOAD_LIB
@ LOAD_LIB
Definition libparse.h:10
GET_INFO
@ GET_INFO
Definition libparse.h:10

## Function Documentation

## iiInitSingularProcinfo()

procinfo * iiInitSingularProcinfo | ( | procinfo * | pi,
|  | const char * | libname,
|  | const char * | procname,
|  | int | line,
|  | long | pos,
|  | BOOLEAN | pstatic = FALSE )

## reinit_yylp()

void reinit_yylp | ( |  | ) |

Definition at line 3376 of file libparse.cc.

{
brace1 = 0;
brace2 = 0;
brace3 = 0;
quote = 0;
yy_init=1;
yy_delete_buffer(YY_CURRENT_BUFFER);
}
brace1
VAR int brace1
Definition libparse.cc:1089
brace2
VAR int brace2
Definition libparse.cc:1090
YY_CURRENT_BUFFER
#define YY_CURRENT_BUFFER
Definition libparse.cc:227
quote
VAR int quote
Definition libparse.cc:1092
brace3
VAR int brace3
Definition libparse.cc:1091
yy_delete_buffer
#define yy_delete_buffer
Definition libparse.cc:2
yy_init
STATIC_VAR int yy_init
Definition libparse.cc:240

## yylplex()

int yylplex | ( | const char * | libname,
|  | const char * | libfile,
|  | lib_style_types * | lib_style,
|  | idhdl | pl,
|  | BOOLEAN | autoexport = FALSE,
|  | lp_modes | = LOAD_LIB )

## Variable Documentation

## text_buffer

EXTERN_VAR char* text_buffer

Definition at line 83 of file libparse.h.